Contenu

# Paramètres de démarrage Java

Vous pouvez utiliser cette boîte de dialogue pour entrer des paramètres de démarrage facultatifs pour l'environnement d'exécution Java (JRE). Les paramètres spécifiés dans cette boîte de dialogue sont valides pour tous les JRE que vous démarrez.

Pour accéder à cette commande...

Choisissez LibreOffice - Préférences Outils - Options - LibreOffice - Avancé.

## Paramètre Start Java

Entrez un paramètre de démarrage pour un JRE, tout comme vous le feriez sur une ligne de commande. Pour ajouter le paramètre à la liste des paramètres de démarrage disponibles, cliquez sur Assigner.

N'utilisez pas d'apostrophes ou de caractères d'échappement dans les noms de chemin.

Par exemple, pour faire pointer la propriété système "myprop" vers un dossier, entrez le paramètre suivant :

-Dmyprop=c:\program files\java

Pour activer le débogage dans un JRE, entrez les paramètres suivants :

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Ces modifications prennent effet au redémarrage de LibreOffice.

### Paramètres de démarrage assignés

Liste les paramètres de démarrage JRE assignés. Pour supprimer un paramètre de démarrage, sélectionnez le paramètre et cliquez sur Supprimer.

### Ajouter

Ajoute le paramètre de démarrage JRE actif à la liste.

### Éditer

Ouvre une boîte de dialogue où vous pouvez éditer les paramètres de démarrage du JRE sélectionné.

### Supprimer

Supprime le paramètre de démarrage JRE sélectionné.